Bug 1409920 - Docker images fedora:{21,22,23} don't include tar
Summary: Docker images fedora:{21,22,23} don't include tar
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: spin-kickstarts
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 21:45 UTC by remirampin
Modified: 2017-11-17 13:04 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-17 13:04:41 UTC
Type: Bug


Attachments (Terms of Use)

Description remirampin 2017-01-03 21:45:15 UTC
Description of problem:

Contrary to all other base images I could find, including fedora:20 and ubuntu, debian, and centos images, some fedora images don't include tar. Tar is a very common and very useful utility and the de-facto standard for archive manipulation on UNIX. Using tar -xf as part of a Dockerfile is also very common, and having to install it from the Internet seems unnecessary, especially if only Fedora requires this step.

Please consider including tar in Docker images.


Version-Release number of selected component (if applicable):

fedora:21
fedora:22
fedora:23
fedora:24
fedora:25

(fedora:20 NOT affected)


Steps to Reproduce:

docker run -ti --rm fedora:24 tar --help

Comment 1 Nalin Dahyabhai 2017-01-03 21:59:21 UTC
If I'm reading https://github.com/fedora-cloud/docker-brew-fedora right, this needs to be filed to the "spin-kickstarts" component.  Reassigning.

Comment 2 Daniel Walsh 2017-01-04 13:54:03 UTC
When it comes to base images there is always a debate between which packages should be installed and the size of the image.  Fedora has been working hard to shrink the size of the base image.

Comment 3 Adam Miller 2017-01-04 21:37:43 UTC
Patches submitted, once merged and we get a compose out, this should be resolved for f24, f25, and rawhide

https://pagure.io/fedora-kickstarts/pull-request/111
https://pagure.io/fedora-kickstarts/pull-request/112
https://pagure.io/fedora-kickstarts/pull-request/113

Comment 4 Fedora End Of Life 2017-11-16 19:39:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 remirampin 2017-11-16 19:54:21 UTC
Fedora 25 has been fixed, and next versions (26 & 27) include TAR as well. So I'm partially happy -- I just can't use the images for Fedora 21 to 24 without some workarounds.

Comment 6 Daniel Walsh 2017-11-17 13:04:41 UTC
Well those are no longer supported.  :^(


Note You need to log in before you can comment on or make changes to this bug.